package com.steering.pss.qcm.model;

/**
 * 数据库表COM_MSC_STD_PROCESS所对应的实体类（生成工具：代码生成器2.1）
 * @author Administrator 2015-03-25
 */
public class ComMscStdProcessEntity {
    /**
     * 加工索引号
     */
    private String gic;
    /**
     * 产品规范码
     */
    private String psc;
    /**
     * 冶金规范码
     */
    private String msc;
    /**
     * 标准类型(G:国标/国际/协议,K:客户,N:内控)
     */
    private String stdstyle;
    /**
     * 工序代码(A\B\C\D.....)(加工线)
     */
    private String processCdoe;
    /**
     * 工序名称
     */
    private String processDesc;
    /**
     * 内控标准代码(内控用)
     */
    private String stdCodeNk;
    /**
     * 内控标准名称(内控用)
     */
    private String stdNameNk;
    /**
     * 扣型代码(集合)
     */
    private String modelCode;
    /**
     * 扣型描述(集合)
     */
    private String modelDesc;
    /**
     * 创建人
     */
    private String createName;
    /**
     * 创建时间
     */
    private String createTime;
    /**
     * 修改人
     */
    private String updateName;
    /**
     * 修改时间
     */
    private String updateTime;
    /**
     * 删除人
     */
    private String deleteName;
    /**
     * 删除时间
     */
    private String deleteTime;
    /**
     * 有效标志(1:有效，0:无效)
     */
    private String validflag;
    /**
     * 备注
     */
    private String memo;
    /**
     * 产品大类
     */
    private String producHead;
    /**
     * 接箍码
     */
    private String codeJg;
    private String steelcodeNk = "";
	private String steelnameNk = "";
    private String modelCodeNk = "";
    private String modelDescNk = "";
    private String produccodeNk = "";
	private String producnameNk = "";

    public ComMscStdProcessEntity(){
        gic = "";
        psc = "";
        msc = "";
        stdstyle = "";
        processCdoe = "";
        processDesc = "";
        stdCodeNk = "";
        stdNameNk = "";
        modelCode = "";
        modelDesc = "";
        createName = "";
        createTime = "";
        updateName = "";
        updateTime = "";
        deleteName = "";
        deleteTime = "";
        validflag = "";
        memo = "";
        producHead = "";
    }

    /**
     * 加工索引号
     * @return value
     */
    public String getGic() {
        return gic;
    }

    /**
     * 加工索引号
     * @param gic value
     */
    public void setGic(String gic) {
        this.gic = gic;
    }

    /**
     * 产品规范码
     * @return value
     */
    public String getPsc() {
        return psc;
    }

    /**
     * 产品规范码
     * @param psc value
     */
    public void setPsc(String psc) {
        this.psc = psc;
    }

    /**
     * 冶金规范码
     * @return value
     */
    public String getMsc() {
        return msc;
    }

    /**
     * 冶金规范码
     * @param msc value
     */
    public void setMsc(String msc) {
        this.msc = msc;
    }

    /**
     * 标准类型(G:国标/国际/协议,K:客户,N:内控)
     * @return value
     */
    public String getStdstyle() {
        return stdstyle;
    }

    /**
     * 标准类型(G:国标/国际/协议,K:客户,N:内控)
     * @param stdstyle value
     */
    public void setStdstyle(String stdstyle) {
        this.stdstyle = stdstyle;
    }

    /**
     * 工序代码(A\B\C\D.....)(加工线)
     * @return value
     */
    public String getProcessCdoe() {
        return processCdoe;
    }

    /**
     * 工序代码(A\B\C\D.....)(加工线)
     * @param processCdoe value
     */
    public void setProcessCdoe(String processCdoe) {
        this.processCdoe = processCdoe;
    }

    /**
     * 工序名称
     * @return value
     */
    public String getProcessDesc() {
        return processDesc;
    }

    /**
     * 工序名称
     * @param processDesc value
     */
    public void setProcessDesc(String processDesc) {
        this.processDesc = processDesc;
    }

    /**
     * 内控标准代码(内控用)
     * @return value
     */
    public String getStdCodeNk() {
        return stdCodeNk;
    }

    /**
     * 内控标准代码(内控用)
     * @param stdCodeNk value
     */
    public void setStdCodeNk(String stdCodeNk) {
        this.stdCodeNk = stdCodeNk;
    }

    /**
     * 内控标准名称(内控用)
     * @return value
     */
    public String getStdNameNk() {
        return stdNameNk;
    }

    /**
     * 内控标准名称(内控用)
     * @param stdNameNk value
     */
    public void setStdNameNk(String stdNameNk) {
        this.stdNameNk = stdNameNk;
    }

    /**
     * 扣型代码(集合)
     * @return value
     */
    public String getModelCode() {
        return modelCode;
    }

    /**
     * 扣型代码(集合)
     * @param modelCode value
     */
    public void setModelCode(String modelCode) {
        this.modelCode = modelCode;
    }

    /**
     * 扣型描述(集合)
     * @return value
     */
    public String getModelDesc() {
        return modelDesc;
    }

    /**
     * 扣型描述(集合)
     * @param modelDesc value
     */
    public void setModelDesc(String modelDesc) {
        this.modelDesc = modelDesc;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 删除人
     * @return value
     */
    public String getDeleteName() {
        return deleteName;
    }

    /**
     * 删除人
     * @param deleteName value
     */
    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName;
    }

    /**
     * 删除时间
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 删除时间
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }
    
    /**
     * 产品大类
     * @return
     */
    public String getProducHead(){
    	return producHead;
    }
    
    /**
     * 产品大类
     * @param producHead
     */
    public void setProducHead(String producHead){
    	this.producHead = producHead;
    }

	public String getCodeJg() {
		return codeJg;
	}

	public void setCodeJg(String codeJg) {
		this.codeJg = codeJg;
	}
	public String getSteelcodeNk() {
		return steelcodeNk;
	}

	public void setSteelcodeNk(String steelcodeNk) {
		this.steelcodeNk = steelcodeNk;
	}

	public String getSteelnameNk() {
		return steelnameNk;
	}

	public void setSteelnameNk(String steelnameNk) {
		this.steelnameNk = steelnameNk;
	}

	public String getModelCodeNk() {
		return modelCodeNk;
	}

	public void setModelCodeNk(String modelCodeNk) {
		this.modelCodeNk = modelCodeNk;
	}

	public String getModelDescNk() {
		return modelDescNk;
	}

	public void setModelDescNk(String modelDescNk) {
		this.modelDescNk = modelDescNk;
	}
	public String getProduccodeNk() {
		return produccodeNk;
	}

	public void setProduccodeNk(String produccodeNk) {
		this.produccodeNk = produccodeNk;
	}

	public String getProducnameNk() {
		return producnameNk;
	}

	public void setProducnameNk(String producnameNk) {
		this.producnameNk = producnameNk;
	}
}